package com.cf.imes.framework.common.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum ProcessProcessingTypeEnum {


    COMPONENTPROCESSING(7,"组件加工");

    private Integer number;
    private String fabricatedItem;

    public boolean equals(Integer number) {
        return this.number .equals(number) ;
    }

    public boolean equals(ProcessProcessingTypeEnum enableStatusEnum) {
        return enableStatusEnum != null && enableStatusEnum.number .equals(this.getNumber()) ;
    }

}
